<?php
/**
*
* @package phpBB Extension - Glacier_phpbb_compare
* @copyright (c) 2023 Glacier Park Chat
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*
*/
namespace glacierparkchat\glacier_phpbb_compare;

/**
 * Extension class for custom enable/disable/purge actions
 */
class ext extends \phpbb\extension\base
{
    /**
     * Enable extension if phpBB version requirement is met
     *
     * @return bool
     * @access public
     */
    public function is_enableable()
    {
        return phpbb_version_compare(PHPBB_VERSION, '3.3.0@dev', '>=');
    }
    
    public function enable_step($old_state)
    {
        if (empty($old_state))
        {
            $this->container->get('user')->add_lang_ext('glacierparkchat/glacier_phpbb_compare', 'phpbb_compare');
            $this->container->get('template')->assign_var('L_EXTENSION_ENABLE_SUCCESS', $this->container->get('user')->lang['EXTENSION_ENABLE_SUCCESS'] .
                (isset($this->container->get('user')->lang['ADDED_NOTICE']) ? $this->container->get('user')->lang['ADDED_NOTICE'] : ''));
        }
        // Run parent enable step method
        return parent::enable_step($old_state);
    }
}
